/*
nombre complexe

Copyright (C) 2002 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformment aux dispositions de la Licence Publique Gnrale GNU, telle que publie par la Free Software Foundation ; version 2 de la licence, ou encore ( votre choix) toute version ultrieure.

Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail, voir la Licence Publique Gnrale GNU .

Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU en mme temps que ce programme ; si ce n'est pas le cas, crivez  la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

public class Complex {
	public double x,y;
	public Complex(double x, double y) {
		this.x = x;
		this.y = y;
	}
	public double mod2() {
		return(x*x + y*y);
	}
	public static Complex addition(Complex z1, Complex z2) {
		Complex z = new Complex(z1.x + z2.x, z1.y + z2.y);
		return(z);
	}
	public static Complex soustraction(Complex z1, Complex z2) {
		Complex z = new Complex(z1.x - z2.x, z1.y - z2.y);
		return(z);
	}
	public static Complex multiplication(Complex z1, Complex z2) {
		Complex z = new Complex(z1.x*z2.x - z1.y*z2.y, z1.x*z2.y + z1.y*z2.x);
		return(z);
	}
	public String toString() {
		return(" " + x +" + i "+ y + " ");
	}
}
